Subject: Offline Message from Faith Rodriguez: Hi, I am waiting for an item from my or
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 16 Jul 2020 06:27:52 -0000

From: Faith Rodriguez <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/view/order_id/1582839/
Department: 

Hi, I am waiting for an item from my order that has taken more than two weeks and still has not arrived, but I already received the rest. Is there any update on this because I had needed it for an occasion but did not anticipate this delay. My order is 600910059. Please update me. Thanks.

----
Zopim
https://www.zopim.com